/*
This file is part of ArchiveList.

# SPDX-FileCopyrightText: 2021 Hangar.org
# SPDX-License-Identifier: AGPL-3.0-or-later
*/

import Vue from "vue";
import ArchiveList from "../components/archiveList.vue";
import store from "../store.js"
export const bus = new Vue();

var ComponentClass = Vue.extend(ArchiveList)

document.querySelectorAll("[data-vue-component=archive-list]")
        .forEach((element) => {
          new ComponentClass({
            components: {'ArchiveList': ArchiveList},
            propsData: { ...element.dataset },
            props: ["collections", "page_size"],
            store: store,
          }).$mount(element);
  });
